API ReferenceInvoices

List all invoices

List your store's invoices, 15 per page by default.

List your store's invoices, 15 per page by default.

GET
/v2/invoices

Authorization

AuthorizationBearer <token>

Provide your SellApp API key as a bearer token.

In: header

Query Parameters

limit?integer

Number of items to return per page.

Default15
Range1 <= value <= 100
page?integer

Page number to return.

Default1
Range1 <= value
search?string

Free-text search term.

search_by?string

Which invoice field the search term should be matched against.

Value in"default" | "transaction_id" | "serial_code" | "additional_info" | "product_name" | "discord_data" | "crypto_txid" | "crypto_address" | "coupon_code"
id?string

Filter by invoice ID.

email?string

Filter by customer email.

transaction_id?string

Filter by payment transaction ID.

serial_code?string

Filter by delivered serial.

additional_info?string

Filter by customer-provided additional information.

product_name?string

Filter by product or variant title.

discord_data?string

Filter by attached Discord data.

crypto_txid?string

Filter by crypto TXID.

crypto_address?string

Filter by crypto payment address.

coupon_code?string

Filter by coupon code.

status[]?array<>

Filter by one or more invoice statuses. Repeat the parameter to select several.

payment_methods[]?array<>

Filter by one or more payment methods. Repeat the parameter to select several.

sort?string

Sort order for the result set.

Value in"created_at" | "-created_at"

Header Parameters

X-STORE?string

Store slug. Required for OAuth access tokens. API keys may omit it to use their current store, or the first accessible store when no current store is selected.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://sell.app/api/v2/invoices" \  -H "X-STORE: launch-lab"
{
  "data": [
    {
      "id": 1,
      "payment": {
        "fee": {
          "base": "0",
          "currency": "USD",
          "units": 1,
          "vat": 0,
          "total": {
            "exclusive": "0",
            "inclusive": "0"
          }
        },
        "gateway": {
          "data": {
            "total": {
              "base": "1999",
              "currency": "USD",
              "units": 1,
              "vat": 0,
              "total": {
                "exclusive": "1999",
                "inclusive": "1999"
              }
            },
            "customer_email": "jordan.patel@example.com",
            "transaction_id": "CQEGF35V"
          },
          "type": "COINBASE"
        },
        "subtotal": {
          "base": "1999",
          "currency": "USD",
          "units": 1,
          "vat": 0,
          "total": {
            "exclusive": "1999",
            "inclusive": "1999"
          }
        },
        "expires_at": "2024-01-09T23:50:11.000000Z",
        "full_price": {
          "base": "1999",
          "currency": "USD",
          "units": 1,
          "vat": 0,
          "total": {
            "exclusive": "1999",
            "inclusive": "1999"
          }
        },
        "original_amount": {
          "base": "1999",
          "currency": "USD",
          "units": 1,
          "vat": 0,
          "total": {
            "exclusive": "1999",
            "inclusive": "1999"
          }
        }
      },
      "status": {
        "history": [
          {
            "setAt": "2024-01-09T14:50:11.000000Z",
            "status": "PENDING",
            "updatedAt": "2024-01-09T18:00:50.000000Z"
          }
        ],
        "status": {
          "setAt": "2024-01-09T18:00:50.000000Z",
          "status": "COMPLETED",
          "updatedAt": "2024-01-09T18:00:50.000000Z"
        }
      },
      "webhooks": [],
      "feedback": "",
      "created_at": "2024-01-09T14:50:11.000000Z",
      "updated_at": "2024-01-09T18:00:50.000000Z",
      "store_id": 1,
      "coupon_id": null,
      "subscription_id": null,
      "customer_information": {
        "id": 123,
        "email": "jordan.patel@example.com",
        "country": "Germany",
        "location": "Munich",
        "ip": "1.3.3.7",
        "proxied": false,
        "browser_agent": "Mozilla/4.9 (Windows 98; sl-SI; rv:1.9.1.20) Gecko/20110422 Firefox/21.0",
        "vat": {
          "amount": "0",
          "country": "DE"
        },
        "discord_data": null,
        "billing_details": null
      },
      "product_variants": [
        {
          "id": 117214,
          "product_id": 97850,
          "title": "Store Credits"
        }
      ]
    }
  ],
  "links": {
    "first": "https://sell.app/api/v2/invoices?page=1",
    "last": "https://sell.app/api/v2/invoices?page=1",
    "prev": null,
    "next": null
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 1,
    "path": "https://sell.app/api/v2/invoices",
    "per_page": 15,
    "to": 1,
    "total": 1,
    "links": [
      {
        "url": null,
        "label": "&laquo; Previous",
        "active": false
      },
      {
        "url": "https://sell.app/api/v2/invoices?page=1",
        "label": "1",
        "active": true
      },
      {
        "url": null,
        "label": "Next &raquo;",
        "active": false
      }
    ]
  }
}
{
  "type": "invalid_request_error",
  "code": "bad_request",
  "message": "The request could not be understood.",
  "status": 400,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#bad-request"
}
{
  "type": "authentication_error",
  "code": "unauthenticated",
  "message": "Unauthenticated.",
  "status": 401,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}
{
  "type": "authorization_error",
  "code": "forbidden",
  "message": "This action is unauthorized.",
  "status": 403,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#forbidden"
}
{
  "type": "validation_error",
  "code": "validation_failed",
  "message": "The selected product variant id is invalid.",
  "status": 422,
  "param": "product_variant_id",
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#validation-failed",
  "errors": {
    "product_variant_id": [
      "The selected product variant id is invalid."
    ]
  }
}
{
  "type": "rate_limit_error",
  "code": "rate_limit_exceeded",
  "message": "Too Many Attempts.",
  "status": 429,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}
{
  "type": "api_error",
  "code": "api_error",
  "message": "Server Error",
  "status": 500,
  "param": null,
  "request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
  "docs_url": "https://sell.app/docs/api/errors#api-error"
}